import { RecordVisitor } from "../proxy/RecordVisitor";
/**
 *
 */
export declare class BriefcaseVisitor extends RecordVisitor {
    private static ONLINE_PROPERTY_NAME;
    constructor(value: string | object);
    static visitAndSetOnline(jsonObject: object, online: boolean): void;
    visitOnline(): boolean;
    visitAndSetOnline(onlineValue: boolean): void;
}
